@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

* {
    padding: 0;
    margin: 0;
    list-style-type: none;
    text-decoration: none;
}


:root {
    /* Colors */
    --primary-color: #A67B5B;
    --secondary-color: #6F4E37;

    --accent-color: #FED8B1;
    --secondary-accent-color: #ECB176;

    --black-color: #000000;
    --light-black-color: #151515;

    --dark-blue-color: #1D2434;

    --white-color: #ffffff;
    --grey-white-color: #F8F8F8;

    --footer-text-color: #BFCCCC;

    /* Font Family */
    --regular-font: "Open Sans", sans-serif;
    --heading-font: "Bebas Neue", sans-serif;

    /* Font Weight */
    --fw-regular: 500;
    --fw-strong: 600;
    --fw-bold: 700;
    --fw-bolder: 800;

    /* Font Size Variation */
    --fs10: 0.7rem;
    --fs50: 0.9rem;
    --fs100: 1rem;
    --fs150: 1.1rem;
    --fs200: 1.2rem;
    --fs250: 1.35rem;
    --fs300: 1.5rem;
    --fs350: 1.8rem;
    --fs400: 2rem;
    --fs450: 2.3rem;
    --fs500: 2.5rem;
    --fs550: 2.8rem;
    --fs600: 3rem;
    --fs650: 3.2rem;
    --fs700: 3.5rem;
    --fs750: 3.8rem;
    --fs800: 4rem;
    --fs850: 4.5rem;
    --fs900: 4.8rem;
    
    /* Utility Properties */
    --box-shadow: 0.3rem 0.01rem 0.5rem 0.1rem;
    --secondary-box-shadow: -0.1rem 0.1rem 1.5rem -0.7rem;
}

html {
    scroll-behavior: smooth;
}

html::-webkit-scrollbar {
    width: 0.4rem;
    background: var(--white-color);
}

html::-webkit-scrollbar-thumb {
    border-radius: 4rem;
    background: var(--primary-color);
}

html::-webkit-scrollbar-thumb:hover {
    background: var(--accent-color);
}

body {
    width: 100%;
    height: 100%;
    font-family: var(--regular-font);
}

main section {
    min-height: 50vh;
    max-width: 100%;
}

main section:not(.hero) {
    padding: 4% 6.5%;
}

main .hero {
    height: 100vh;
    width: 100%;
    background-image: linear-gradient(#00000090, #00000090 ), url(../../images/gallery/gallery\ 1.webp);
    background-size: cover;
    background-attachment: fixed;
}

/* main .hero .content_container .content_heading {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding: 10%;
} */

main .hero .content_container .content_heading h1 {
    font: var(--fw-bolder) var(--fs650) var(--heading-font);
    color: var(--white-color);
}

@media (max-width: 60px) {

    main .hero .content_container .content_heading h1 {
        font: var(--fw-bolder) var(--fs450) var(--heading-font);
    }

    main section .content_container p {
        padding-bottom: 1rem;
        line-height: 1.9rem;
        font-size: var(--fs100);
    }
}